Não estou conseguindo instalar PostgreSQL e PgAdmin [RESOLVIDO]

1. Não estou conseguindo instalar PostgreSQL e PgAdmin [RESOLVIDO]

Lilian Cunha
coderlyss

(usa Deepin)

Enviado em 11/06/2019 - 13:56h

Olá pessoal!

Sou iniciante no Linux, estou usando o Deepin edição 15.10.1 e estou tentando instalar o PostgreSQL e o PgAdmin4 pelo terminal.
Fiz todo o tutorial de instalação da página wiki do PostgreSQL: https://wiki.postgresql.org/wiki/Apt mas na hora de instalar está dando erro no terminal, fiz o apt-get update, upgrade, tentei várias coisas, procurei no Google e YouTube mas nada dá certo, por isso vim aqui pedir ajuda.

No terminal:
$ sudo apt-get install postgresql-11 pgadmin4

A saída:
> Lendo listas de pacotes... Pronto
> Construindo árvore de dependências
> Lendo informação de estado... Pronto
> E: Impossível encontrar o pacote postgresql-11
> E: Impossível encontrar o pacote pgadmin4

Detalhe: no meu arquivo pgdg.list está:
deb http://apt.postgresql.org/pub/repos/apt/ stable-pgdg main

Obrigada pela atenção! =D


  


2. Re: Não estou conseguindo instalar PostgreSQL e PgAdmin [RESOLVIDO]

Daniel Lara Souza
danniel-lara

(usa Fedora)

Enviado em 11/06/2019 - 14:48h


uma sugestão seria usar em docker



3. Re: Não estou conseguindo instalar PostgreSQL e PgAdmin [RESOLVIDO]

Luiz Santos
luiztux

(usa Gentoo)

Enviado em 11/06/2019 - 20:56h

coderlyss escreveu:

Olá pessoal!

Sou iniciante no Linux, estou usando o Deepin edição 15.10.1 e estou tentando instalar o PostgreSQL e o PgAdmin4 pelo terminal.
Fiz todo o tutorial de instalação da página wiki do PostgreSQL: https://wiki.postgresql.org/wiki/Apt mas na hora de instalar está dando erro no terminal, fiz o apt-get update, upgrade, tentei várias coisas, procurei no Google e YouTube mas nada dá certo, por isso vim aqui pedir ajuda.

No terminal:
$ sudo apt-get install postgresql-11 pgadmin4

A saída:
> Lendo listas de pacotes... Pronto
> Construindo árvore de dependências
> Lendo informação de estado... Pronto
> E: Impossível encontrar o pacote postgresql-11
> E: Impossível encontrar o pacote pgadmin4

Detalhe: no meu arquivo pgdg.list está:
deb http://apt.postgresql.org/pub/repos/apt/ stable-pgdg main

Obrigada pela atenção! =D


O stable não tem na lista. O codename-pgdg deve ser por exemplo: xenial-pgdg, bionic-pgdg, etc...

Verifique em qual destes a distribuição que você usa é baseada e edite o pgdg de acordo.

-----------------------------------''----------------------------------

Larry, The Cow, uses Gentoo GNU/Linux

^__^
(oo)
(__)

"If it moves, compile it."




4. Não estou conseguindo instalar PostgreSQL e PgAdmin

Lilian Cunha
coderlyss

(usa Deepin)

Enviado em 12/06/2019 - 09:09h

Olá pessoal!

danniel-lara, muito obrigada pela resposta, vou tentar usar sua sugestão. Não sei o que está acontecendo no meu Deepin, que muitos programas que tendo instalar pelo terminal, dá problema de dependências...
Esse Docker no caso é uma máquina virtual? É muito pesado??

luiztux, muito obrigada pela resposta também, eu editei o arquivo pgdg.list, coloquei primeiro:

deb http://apt.postgresql.org/pub/repos/apt/ deepin-pgdg main

e não deu certo. Deposi coloquei com a versao do Deepin:

deb http://apt.postgresql.org/pub/repos/apt/ deepin15.10.1-pgdg main

Também não deu certo.

Obrigada pela ajuda pessoal, vou continuar tentando!

=D


5. Re: Não estou conseguindo instalar PostgreSQL e PgAdmin [RESOLVIDO]

6. Re: Não estou conseguindo instalar PostgreSQL e PgAdmin [RESOLVIDO]

Luiz Santos
luiztux

(usa Gentoo)

Enviado em 12/06/2019 - 13:11h

coderlyss escreveu:

luiztux, muito obrigada pela resposta também, eu editei o arquivo pgdg.list, coloquei primeiro:

deb http://apt.postgresql.org/pub/repos/apt/ deepin-pgdg main

e não deu certo. Deposi coloquei com a versao do Deepin:

deb http://apt.postgresql.org/pub/repos/apt/ deepin15.10.1-pgdg main

Também não deu certo.

Obrigada pela ajuda pessoal, vou continuar tentando!

=D


Na verdade não era isto, mas isto:


#Deepin 15.10 é baseado no Debian stable, que é o Stretch
deb http://apt.postgresql.org/pub/repos/apt/ stretch-pgdg main


-----------------------------------''----------------------------------

Larry, The Cow, uses Gentoo GNU/Linux

^__^
(oo)
(__)

"If it moves, compile it."




7. Não estou conseguindo instalar PostgreSQL e PgAdmin

Lilian Cunha
coderlyss

(usa Deepin)

Enviado em 12/06/2019 - 15:42h

Oiii

danniel-lara, obrigada pelo artigo, achei muito interessante. Docker é mais eficiente que MV, menos pesado neh...
luiztux, muito obrigado! Funcionou!!! XD

Obrigada gente, Deus abençoe!!!






Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts